aboutsummaryrefslogtreecommitdiff
path: root/net/netatalk/pkg-install
diff options
context:
space:
mode:
Diffstat (limited to 'net/netatalk/pkg-install')
-rw-r--r--net/netatalk/pkg-install43
1 files changed, 43 insertions, 0 deletions
diff --git a/net/netatalk/pkg-install b/net/netatalk/pkg-install
new file mode 100644
index 000000000000..b4b6c55892ad
--- /dev/null
+++ b/net/netatalk/pkg-install
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+# Check whether config files exist already, and copy the distribution ones
+# if not. Warn the user if the existing ones differ from the distribution,
+# so changes in the distribution can be merged.
+
+checkfile() {
+ diff -bBqw $1 $1.dist >/dev/null 2>&1
+ case $? in
+ 0) # config file exists, but is the same
+ ;;
+ 1) # config file exists and differs
+ echo "** Make sure $1 is in sync with this version";
+ echo " of the port. See $1.dist for details.";
+ ;;
+ *) # no config file exists, copy it
+ install -c -m 644 $1.dist $1
+ ;;
+ esac
+}
+
+case $2 in
+ POST-INSTALL)
+ cd ${PKG_PREFIX}
+ checkfile ${PKG_PREFIX}/etc/AppleVolumes.default
+ checkfile ${PKG_PREFIX}/etc/AppleVolumes.system
+
+ # install man page aliases
+ cd man
+ if [ "x${FAKE_PKG_INSTALL}" = "x" ]; then
+ if [ -f man1/megatron.1.gz ]; then
+ MANEXT=.gz
+ fi
+ for i in hqx2bin macbinary single2bin unbin unhex unsingle; do
+ ln -f man1/megatron.1${MANEXT} man1/$i.1${MANEXT}
+ done
+ for i in nbplkup nbprgstr nbpunrgstr; do
+ ln -f man1/nbp.1${MANEXT} man1/$i.1${MANEXT}
+ done
+ ln -f man1/pap.1${MANEXT} man1/papstatus.1${MANEXT}
+ fi
+ ;;
+esac